summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--include/lib.sh4
-rw-r--r--include/tree.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/include/lib.sh b/include/lib.sh
index cf4305a1..75de7512 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -75,8 +75,8 @@ chkvars()
# e.g. coreboot is multi-tree, so 1
singletree()
{
- ( fx_ "exit 1" find "config/$1/"*/ -type f -name "target.cfg" ) || \
- return 1
+ ( fx_ "eval exit 1 && err" find "config/$1/"*/ -type f \
+ -name "target.cfg" ) || return 1; :
}
findpath()
diff --git a/include/tree.sh b/include/tree.sh
index f44b39cc..25d4732c 100644
--- a/include/tree.sh
+++ b/include/tree.sh
@@ -270,7 +270,7 @@ check_defconfig()
elfcheck()
{
# TODO: *STILL* very hacky check. do it properly (based on build.list)
- ( fx_ "exit 1" find "$dest_dir" -type f ) || return 1; :
+ ( fx_ "eval exit 1 && err" find "$dest_dir" -type f ) || return 1; :
}
handle_makefile()